### Virtual Method

# Gio File mount_mountable

#### Declaration [src]

    void
    mount_mountable (
      GFile* file,
      GMountMountFlags flags,
      GMountOperation* mount_operation,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Mounts a file of type G_FILE_TYPE_MOUNTABLE. Using `mount_operation`, you can request callbacks when, for instance, passwords are needed during authentication.

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

When the operation is finished, `callback` will be called. You can then call `g_file_mount_mountable_finish()` to get the result of the operation.

#### Parameters

`flags`

  Type: `GMountMountFlags`

  Flags affecting the operation.

`mount_operation`

  Type: `GMountOperation`

  A `GMountOperation`, or `NULL` to avoid user interaction.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.